# Generated from eventmachine-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name eventmachine

Summary:    Ruby/EventMachine library
Summary:    Ruby/EventMachine library
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    1.0.7
Release:    2%{?dist}
Group:      Development/Languages
License:    GPLv2 or Ruby
URL:        http://rubyeventmachine.com
Source0:    https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:   %{?scl_prefix}ruby(rubygems) 
Requires:   %{?scl_prefix}ruby(release)
Requires:   %{?scl_prefix}ruby 
Provides:   %{?scl_prefix}rubygem(%{gem_name}) = %{version}
BuildRequires: %{?scl_prefix}rubygems-devel, %{?scl_prefix}ruby-devel, openssl-devel, %{?scl_prefix}rubygem(rake), net-tools

%description
EventMachine implements a fast, single-threaded engine for arbitrary network
communications. It's extremely easy to use in Ruby. EventMachine wraps all
interactions with IP sockets, allowing programs to concentrate on the
implementation of network protocols. It can be used to create both network
servers and clients. To create a server or client, a Ruby program only needs
to specify the IP address and port, and provide a Module that implements the
communications protocol. Implementations of several standard network protocols
are provided with the package, primarily to serve as examples. The real goal
of EventMachine is to enable programs to easily interface with other programs
using TCP/IP, especially if custom protocols are required.


%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep
%setup -q -T -c
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install -V \
    --local \
    --install-dir $(pwd)/%{gem_dir} \
    --force --rdoc \
    %{SOURCE0}
%{?scl:"}

pushd .%{gem_instdir}
# patches go here
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}/%{gem_dir}/

rm -rf %{buildroot}%{gem_instdir}/{ext,java,.gitignore,setup.rb,%{gem_name}.gemspec}

%clean
rm -rf %{buildroot}


%check
# No check for now

%files
%defattr(-, root, root, -)
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md

%dir %{gem_instdir}/
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/.*

%files doc
%defattr(-, root, root, -)
%{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/rakelib
%{gem_instdir}/docs
%{gem_instdir}/examples
%{gem_instdir}/tests
%{gem_instdir}/LICENSE
%{gem_instdir}/GNU

%changelog
* Fri Apr 17 2015 Joe VLcek <jvlcek@redhat.com> - 1.0.7-2
- Leave arch dependent files where gem install put them.

* Wed Nov 26 2014 Joe VLcek <jvlcek@redhat.com> - 1.0.0-2
- Remove the rubyabi macro

* Tue Feb 26 2013 John Eckersberg <jeckersb@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 19 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.10-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.12.10-3
- More review fixes

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.12.10-2
- Review fixes (#556433)

* Mon Jan 18 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.12.10-1
- Initial package
